# Endpoint

## The Endpoint object

- [endpoint/object.md](endpoint/object.md)

## Endpoints

### Get an Endpoint

- [GET /api/2.0/postgres/{name=projects/*/branches/*/endpoints/*}](get-endpoint.md)

### List Endpoints

- [GET /api/2.0/postgres/{parent=projects/*/branches/*}/endpoints](list-endpoints.md)

### Create an Endpoint

- [POST /api/2.0/postgres/{parent=projects/*/branches/*}/endpoints](create-endpoint.md)

### Update an Endpoint

- [PATCH /api/2.0/postgres/{name=projects/*/branches/*/endpoints/*}](update-endpoint.md)

### Delete an Endpoint

- [DELETE /api/2.0/postgres/{name=projects/*/branches/*/endpoints/*}](delete-endpoint.md)

